Jump to content

wippa

Members
  • Posts

    324
  • Joined

  • Last visited

Everything posted by wippa

  1. ¿Que hace este hilo abierto? En el supuesto caso de que todo lo expuesto aquí sea correcto, eso significaría que tanto allow_url_fopen como curl_init no están disponibles, dando lugar al fallo inicial, que por lo visto marca el error de allow_url_fopen pero NO el de curl_init, que tal vez es lo que debería indicar. Es increíble la cantidad de cosas que podrían estar bien y no lo están. Yo tengo el MISMO error en Prestashop 1.7 recién instalado, tengo curl perfectamente funcionando, allow_url_fopen perfectamente capado y NO funciona. En fin, a seguir perdiendo horas como un anormal hasta que vea una solución o directamente me olvide de Prestashop y sus 500.000 fallos :-/
  2. If you delete the img/tmp contents, the mini images are generated again. I bet that someone deleted whole /tmp folder and forgot to create it again :-)
  3. Os leo y me da la risa. Para alguien que tenga nociones de programación ya es un poco "una mierda"... no quiero ni imaginar lo que andará pasando por la cabeza de los demás. Llevo como 2 lustros probando a actualizar a versiones distintas a ver si alguna quiere actualizarse y la que no me da error 500 me da un pantallazo blanco. Activas el modo dev y sigue en blanco, añado el init_set display errors y veo que el upgrade.php no encuentra UN MONTON de constantes. Con esto también me da la risa, porque por muchas que vaya parcheando siguen saliendo y no veo el final. Sinceramente el equipo de Prestashop ha hecho una mierda tras otra desde que sacaron la version 1.4, que a mi parecer es más rapida que ninguna de sus precedesoras y jamás me ha dado un susto. Por otro lado, el 1-click upgrade es otra basura. Tras hartarme de intentarlo a mano, hice con 1-click una actualizacion menor sobre la version actual, y de ahí pasé a la grande. Errores por un tubo que fuí arreglando hasta que por fin parecía funcionar. Me meto al admin, pulso sobre "Clientes" y de repente me suelta un error garrafal diciendo que no encuentra una tabla... y yo pienso para mis adentros..."a mi que coño me estás contando, es que el equipo de Prestashop ESTÁ CIEGO, o simplemente les importa todo un cojón de mono?"... En fin, actualizar Prestashop es la cosa más escalofriante que jamás he hecho, porque aunque en algún momento "parezca que funciona", nunca sabes cuando te va a dar la ostia y sinceramente, joder una tienda por poner una version nueva NO ES RENTABLE. Gracias a dios yo tengo copia, y de copia otra copia y así hasta hartarse. Para que no parezca que solo entro a cagarme en la puta, diré que si instalas Prestashop en limpio tanto la 1.6 como 1.7 parecen funcionar bien, pero para una tienda con miles de productos lo de "re-importar" es infumable, y ahora por lo visto actualizar también. TOTALMENTE DECEPCIONADO CON PRESTASHOP.
  4. I had this problem in the past, with some theme i bought. First of, you should deactivate an option in "Performance" that says "Disable all overrides". The function "getBelvgBlockContent" is defined in FrontController.php which is placed in override folder. I found that the theme install placed the file inside /classes/controllers, which is likely a wrong place. iI just moved the file to parent folder and started to work. I am not sure of some details and i will have to trace files and changes to be sure of the reason, but... moving it solves and it is enough.
  5. http://g/gogojuicesh...out/payment.php This link is more like "/g/username/www-files" on the server filesystem instead on the webserver location (http). The Paypal module is "the last version you can download from addons", im a bit unsure of the current link. To ensure your host/PHP can use SHA256 just download any current PHP basic example then upload to your server. I use 1.4.6.2 (cuz it still works) and it's working. Your setup may differ from mine, but there are lot of other stores that are currently updated you no one should have problem with those. VISA (sermepa) upgrade is a bit pain but does work too ( a version of the free "sermepa" module on that forum, thanks to the user who updated )
  6. To make that easier to understand, this big change has 2 little things on it. The cert used to make the https connection, and the sha function to "hash" everything with the certs. Now everything is moving to sha256, and your root certs have to be updated. Old certs still works due to backward compatibility, but will end some day, so the better if you upgrade it now. Also, your Paypal module should be updated to last, otherwise will still be using sha1 function.
  7. Same problem here, Linux + Apache2 + php5.6. I've installed the php5-gd module, wich is gd2 by default but still shows red in the step2 page. Because im sure i've installed it, I've edited the live html of the page (F12 in your browser), removing the "disabled" atributes to "Continue" button to make it work onclick and did the work, but a lof of MySQL problems wich im not sure why did appear. But for sure there's any kind of bug on the module discovery. I will try again the update process from the backup
  8. If you pay someone that don't tell your or show you a report... you should claim. What if you wanna hire someone more. You can't tell the new one what has been done in that install, and that does the work more harder, then expensive to you. Usually data for a reasonable report. Files edited (lines if possible) Major changes (to server, to PHP, to anything) Hours worked except if has a flat rate. Also, you can help a lot of people here with same problem just sharing the info you claimed. I only have in mind one valid reason to not tell anything what is made on his shop. Lie because overcharge for "nothing or smoke". Note: Im not saying that guy did that, but... why not report? Best regards.
  9. My advice about themes is just plain. Buy a premium template from any of the best theme vendors (i want not to mention anyone, but search) If you face a problem, then came here and pay someone to adapt/modify it for you. Even if i can code my own template, for most of my works i buy a 50-100$ theme because it's a nice option. Usually a premium template is selled 200-400 times, so 50$ theme can report to the developers around 10.000$. Doing that you have PREMIUM work for a little price, plus support for you or for the designer you hire to customize if needed. Also, buying template, you can see comments to AVOID choosing a bad one, imcompatible or whatever it could be. Best regards.
  10. wippa

    remove part of url

    Was that solved by selectshop.at? If your solution is move files to root add something like "solved" please. If your problem still remains I can configure your .htaccess to do whatever you need. Regards.
  11. wippa

    import CSV File

    Hi, I can help you to import big csv files. Also there's a chance to automate following updates, but depends on your actual scenario and source files. Send me a PM with more details. Regards.
  12. I don't know why only 6 VERY old post are the results for a _ps_shop_domain_ query.
  13. Thank you. \x means an hexa value and the code is the code on the hexadecimal charset table. d800 to ascii is that char = Ø e000 to ascii is that char = à Making that change on the /classes/Search.php as suggested is fine. Don't forget rebuild the index again. You don't need to change whole line, just search for that string, because your file may be from another version and wouldn't match. I tried to replace whole line n 56 and didn't work, then changed only \x{d800} to \x{e000} and worked If you got problems with it, set display_errors value to On (/config/config.php file) and you will get the exact character position on the file that is causing the problem. Thank you TheSnake.
  14. I guess youre searching for url_rewrite vía htaccess file.
  15. Eu recomendo que você baixe o pacote novamente prestashop. Na página de download você também terá acesso a "versões para desenvolvedores de" onde estão todos Então, basicamente os repones. Você também pode tentar instalar algum outro CMS como Wordpress ou Joomla, para ver se o host não está respondendo bem ou ter um bug. Google translated my friend
  16. Oh. Thank you. Just having this issue with the default install of 1.5.6.2. Has demo info and wanna restore. Also for reset all after testings Tested right now: On a fresh install the table ps_cart_discounts doesn't exist. I'd commented out with # and worked perfectly. Maybe you can improve your script adding IF EXISTS to the SQL sentence to make it a bit more compatible. Thank you again! Will check more
  17. Yo soy un fiel usuario de mi versión 1.4.6.2 y alguna 1.4.9 por ser la FINAL. Recientemente he preguntado entre la 1.5 y la 1.6 y me han RECOMENDADO la 1.5.6.2 por ser la FINAL. No he empezado y ya he tenido que solventar un problema con los CHMOD en un servidor sin acceso ssh ni cron ni exec (SOLUCÍON). Así no vamos bien XD estoy giñado por si ahora empiezo a ver más problem como este. Saludos.
  18. Para todos los que tengas problemas con la caché, dejo un pequeño apunte. A veces metemos una caché y resulta que luego son 2... y vienen los problemas. Esos problemas sólo se ven en el log de la caché y claro, si no somos conscientes de que tenemos 2 caché no la vamos a revisar. He visto ya algún caso de este y de tirarse de los pelos también (Al mismo tio jaja). La mejor forma de probarlo, desactivar todo lo que veamos de caché y probar si la página al menos carga a una velocidad que se le corresponda a un Prestashop sin caché. Saludos.
  19. Strict Stadards es una notificación más bien que un error, por lo que el script debería funcionar igualmente. Mientras no cambien las funciones que están utilizando seguirá apareciendo ese error. Te recomiendo que busques la línea y añadas @ a @SlideBlockSocial::delete() para que PHP no te suelte el error. También puedes intentar esta otra solución (http://stackoverflow.com/questions/1248952/php-5-disable-strict-standards-error). Es posible que en un servidor tipo shared no te funcione pero es más correcto. Suerte.
  20. Si el módulo funciona bien y es aceptablemente seguro los precios son de risa. Me parece perfecto. Yo voy a probar una versión para ps1.4 con el módulo de retrocompatiblidad y si no hay suerte compro uno de estos para Sermepa (El sistema RedSys de Servired). Comprando un certificado SSL convencional, que los hay por 15 y 22€ incluyen seguros anti fraude hasta 10.000. No sé si alguno de vosotros tendrá ese tipo de pedidos (ni volumen de ventas si te descuidas) como para que le suponga un problema. Y si te lo supone pues te gastas 200€ en el certificado SSL más potente. Un problema menos martinmolero Gracias por el link.
  21. For people who cannot use PHP exec() like functions, cron or whatever you have tried, you can check that link. http://www.prestashop.com/forums/topic/305214-release-1562-403-forbidden-install/?do=findComment&comment=1731761. It's a little explanation of a php user made function wich solves that perfectly including shared servers. Regards.
  22. Perfect solution! I dont know if can pass shell commands trought cron. I know i can run php process but never tried others. As a solution for people who only have php, i'd found a solution on that link http://snipplr.com/view.php?codeview&id=5350 Just copy code and and this code to the top of the file to autostart the function. $path = dirname(__FILE__); recursiveChmod ($path, $filePerm=0644, $dirPerm=0755); wich equals to this shell code. find . -type f -exec chmod 644 {} \; && find . -type d -exec chmod 755 {} \; Why? I try that code on my server and the result was not the files i expect so i cannot interact with my www folder files: <?php echo exec('ls'); // Output is webservice. ;echo exec('ls ../'); // Output is www folder. ; echo exec('cat ../../www/index.php'); // Output is nothing. This php function from the link works perfectly.
  23. @Abhishek Gupta Explain please. I think you miss some features from rental module using only default atributes.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More